libzypp: zypp::str::detail Namespace Reference

libzypp 17.38.11

zypp::str::detail Namespace Reference

## Classes
struct | RefStore
| Helper to store a reference or move rvalues inside. More...
struct | RefStore< T & >
| Store reference. More...
struct | NoPrint
| Store nothing print nothing. More...
struct | RefStore< NoPrint >
struct | RefStore< NoPrint & >
struct | JoinFormat
| A basic format description to print a collection. More...
struct | PrintFmt
| Log helper wrapping the Ostream and Format. More...

## Functions
template<typename T>
constexpr auto | makeRefStore (T &&t) -> RefStore< T >
| relates: RefStore<T> Create a RefStore for the argument.
template<typename T>
std::ostream & | operator<< (std::ostream &str, const RefStore< T > &obj)
| relates: RefStore<T> Stream output
std::ostream & | operator<< (std::ostream &str, const NoPrint &obj)
template<>
std::ostream & | operator<< (std::ostream &str, const RefStore< NoPrint > &obj)
template<>
std::ostream & | operator<< (std::ostream &str, const RefStore< NoPrint & > &obj)
template<typename Ostream, typename Format>
void | _joinSF (Ostream &str, const Format &fmt)
template<typename Ostream, typename Format, typename First>
void | _joinSF (Ostream &str, const Format &fmt, First &&first)
template<typename Ostream, typename Format, typename First, typename... Args>
void | _joinSF (Ostream &str, const Format &fmt, First &&first, Args &&... args)
template<typename Ostream, typename Format, typename... Args>
Ostream & | joinSF (Ostream &str, Format &&fmt, Args &&... args)
| Print args on ostreamlike str using JoinFormat fmt.

## Function Documentation

## ◆ makeRefStore()

template<typename T>

auto zypp::str::detail::makeRefStore | ( | T && | t | ) | -> RefStore< T >
| constexpr

relates: RefStore<T> Create a RefStore for the argument.

Definition at line 96 of file LogTools.h.

## ◆ operator<<() [1/4]

template<typename T>

std::ostream & zypp::str::detail::operator<< | ( | std::ostream & | str,
|  | const RefStore< T > & | obj )

relates: RefStore<T> Stream output

Definition at line 101 of file LogTools.h.

## ◆ operator<<() [2/4]

std::ostream & zypp::str::detail::operator<< | ( | std::ostream & | str,
|  | const NoPrint & | obj )
| inline

Definition at line 108 of file LogTools.h.

## ◆ operator<<() [3/4]

template<>

std::ostream & zypp::str::detail::operator<< | ( | std::ostream & | str,
|  | const RefStore< NoPrint > & | obj )
| inline

Definition at line 116 of file LogTools.h.

## ◆ operator<<() [4/4]

template<>

std::ostream & zypp::str::detail::operator<< | ( | std::ostream & | str,
|  | const RefStore< NoPrint & > & | obj )
| inline

Definition at line 124 of file LogTools.h.

## ◆ _joinSF() [1/3]

template<typename Ostream, typename Format>

void zypp::str::detail::_joinSF | ( | Ostream & | str,
|  | const Format & | fmt )

Definition at line 219 of file LogTools.h.

## ◆ _joinSF() [2/3]

template<typename Ostream, typename Format, typename First>

void zypp::str::detail::_joinSF | ( | Ostream & | str,
|  | const Format & | fmt,
|  | First && | first )

Definition at line 223 of file LogTools.h.

## ◆ _joinSF() [3/3]

template<typename Ostream, typename Format, typename First, typename... Args>

void zypp::str::detail::_joinSF | ( | Ostream & | str,
|  | const Format & | fmt,
|  | First && | first,
|  | Args &&... | args )

Definition at line 227 of file LogTools.h.

## ◆ joinSF()

template<typename Ostream, typename Format, typename... Args>

Ostream & zypp::str::detail::joinSF | ( | Ostream & | str,
|  | Format && | fmt,
|  | Args &&... | args )

Print args on ostreamlike str using JoinFormat fmt.

See also
  makeJoinFormat

Definition at line 234 of file LogTools.h.